Index: main/trunk/greenstone2/build-src/configure.in
===================================================================
--- main/trunk/greenstone2/build-src/configure.in	(revision 22057)
+++ main/trunk/greenstone2/build-src/configure.in	(revision 22058)
@@ -70,4 +70,28 @@
 fi
 AC_SUBST(USE_YAZ)
+
+dnl
+dnl Set use of JDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], USE_JDBM=$enableval, USE_JDBM=yes)
+if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
+  USE_JDBM=1
+  AC_DEFINE(USE_JDBM,[])
+else
+  USE_JDBM=0
+fi
+AC_SUBST(USE_JDBM)
+
+dnl
+dnl Set use of GDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(gdbm, [  --disable-gdbm        Disable GDBM compilation], USE_GDBM=$enableval, USE_GDBM=yes)
+if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
+  USE_GDBM=1
+  AC_DEFINE(USE_GDBM,[])
+else
+  USE_GDBM=0
+fi
+AC_SUBST(USE_GDBM)
 
 dnl 
Index: main/trunk/greenstone2/common-src/configure.in
===================================================================
--- main/trunk/greenstone2/common-src/configure.in	(revision 22057)
+++ main/trunk/greenstone2/common-src/configure.in	(revision 22058)
@@ -73,4 +73,28 @@
 AC_SUBST(USE_YAZ)
 
+dnl
+dnl Set use of JDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], USE_JDBM=$enableval, USE_JDBM=yes)
+if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
+  USE_JDBM=1
+  AC_DEFINE(USE_JDBM,[])
+else
+  USE_JDBM=0
+fi
+AC_SUBST(USE_JDBM)
+
+dnl
+dnl Set use of GDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(gdbm, [  --disable-gdbm        Disable GDBM compilation], USE_GDBM=$enableval, USE_GDBM=yes)
+if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
+  USE_GDBM=1
+  AC_DEFINE(USE_GDBM,[])
+else
+  USE_GDBM=0
+fi
+AC_SUBST(USE_GDBM)
+
 dnl 
 dnl disable compilation of accent folding stuff for mgpp (and one day mg)
@@ -85,15 +109,4 @@
 AC_SUBST(ENABLE_ACCENTFOLD)
 
-dnl
-dnl Set use of JDBM (enabled by default)
-dnl
-AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], ENABLE_JDBM=$enableval, ENABLE_JDBM=yes)
-if test $ENABLE_JDBM = "yes" -o $ENABLE_JDBM = "1" ; then
-  ENABLE_JDBM=1
-  AC_DEFINE(ENABLE_JDBM,[])
-else
-  ENABLE_JDBM=0
-fi
-AC_SUBST(ENABLE_JDBM)
 
 dnl
Index: main/trunk/greenstone2/common-src/indexers/configure.ac
===================================================================
--- main/trunk/greenstone2/common-src/indexers/configure.ac	(revision 22057)
+++ main/trunk/greenstone2/common-src/indexers/configure.ac	(revision 22058)
@@ -1,9 +1,35 @@
-dnl
-dnl Disable accent folding
-dnl
 
 dnl AC_INIT(mgpp/text/MGQuery.cpp)
 dnl http://www.gnu.org/software/hello/manual/autoconf/Initializing-configure.html
 AC_INIT()
+
+dnl
+dnl Set use of JDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], USE_JDBM=$enableval, USE_JDBM=yes)
+if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
+  USE_JDBM=1
+  AC_DEFINE(USE_JDBM,[])
+else
+  USE_JDBM=0
+fi
+AC_SUBST(USE_JDBM)
+
+dnl
+dnl Set use of GDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(gdbm, [  --disable-gdbm        Disable GDBM compilation], USE_GDBM=$enableval, USE_GDBM=yes)
+if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
+  USE_GDBM=1
+  AC_DEFINE(USE_GDBM,[])
+else
+  USE_GDBM=0
+fi
+AC_SUBST(USE_GDBM)
+
+
+dnl
+dnl Disable accent folding
+dnl
 AC_ARG_ENABLE(accentfold, [  --disable-accentfold    Disable Accent Folding for MGPP], ENABLE_ACCENTFOLD=$enableval, ENABLE_ACCENTFOLD=yes)
 if test $ENABLE_ACCENTFOLD = "yes" -o $ENABLE_ACCENTFOLD = "1" ; then
Index: main/trunk/greenstone2/common-src/indexers/mg/configure.in
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/configure.in	(revision 22057)
+++ main/trunk/greenstone2/common-src/indexers/mg/configure.in	(revision 22058)
@@ -36,4 +36,30 @@
 fi
 AC_SUBST(COMPAT32BITFLAGS)
+
+
+dnl
+dnl Set use of JDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], USE_JDBM=$enableval, USE_JDBM=yes)
+if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
+  USE_JDBM=1
+  AC_DEFINE(USE_JDBM,[])
+else
+  USE_JDBM=0
+fi
+AC_SUBST(USE_JDBM)
+
+dnl
+dnl Set use of GDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(gdbm, [  --disable-gdbm        Disable GDBM compilation], USE_GDBM=$enableval, USE_GDBM=yes)
+if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
+  USE_GDBM=1
+  AC_DEFINE(USE_GDBM,[])
+else
+  USE_GDBM=0
+fi
+AC_SUBST(USE_GDBM)
+
 
 dnl Checks for programs.
Index: main/trunk/greenstone2/common-src/indexers/mgpp/configure.in
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mgpp/configure.in	(revision 22057)
+++ main/trunk/greenstone2/common-src/indexers/mgpp/configure.in	(revision 22058)
@@ -48,4 +48,28 @@
 fi
 AC_SUBST(ENABLE_ACCENTFOLD)
+
+dnl
+dnl Set use of JDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], USE_JDBM=$enableval, USE_JDBM=yes)
+if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
+  USE_JDBM=1
+  AC_DEFINE(USE_JDBM,[])
+else
+  USE_JDBM=0
+fi
+AC_SUBST(USE_JDBM)
+
+dnl
+dnl Set use of GDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(gdbm, [  --disable-gdbm        Disable GDBM compilation], USE_GDBM=$enableval, USE_GDBM=yes)
+if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
+  USE_GDBM=1
+  AC_DEFINE(USE_GDBM,[])
+else
+  USE_GDBM=0
+fi
+AC_SUBST(USE_GDBM)
 
 dnl Checks for programs.
Index: main/trunk/greenstone2/configure.in
===================================================================
--- main/trunk/greenstone2/configure.in	(revision 22057)
+++ main/trunk/greenstone2/configure.in	(revision 22058)
@@ -71,4 +71,28 @@
 AC_SUBST(USE_YAZ)
 
+dnl
+dnl Set use of JDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], USE_JDBM=$enableval, USE_JDBM=yes)
+if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
+  USE_JDBM=1
+  AC_DEFINE(USE_JDBM,[])
+else
+  USE_JDBM=0
+fi
+AC_SUBST(USE_JDBM)
+
+dnl
+dnl Set use of GDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(gdbm, [  --disable-gdbm        Disable GDBM compilation], USE_GDBM=$enableval, USE_GDBM=yes)
+if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
+  USE_GDBM=1
+  AC_DEFINE(USE_GDBM,[])
+else
+  USE_GDBM=0
+fi
+AC_SUBST(USE_GDBM)
+
 dnl 
 dnl disable compilation of accent folding stuff for mgpp (and one day mg)
@@ -82,16 +106,4 @@
 fi
 AC_SUBST(ENABLE_ACCENTFOLD)
-
-dnl
-dnl Set use of JDBM (enabled by default)
-dnl
-AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], ENABLE_JDBM=$enableval, ENABLE_JDBM=yes)
-if test $ENABLE_JDBM = "yes" -o $ENABLE_JDBM = "1" ; then
-  ENABLE_JDBM=1
-  AC_DEFINE(ENABLE_JDBM,[])
-else
-  ENABLE_JDBM=0
-fi
-AC_SUBST(ENABLE_JDBM)
 
 dnl
Index: main/trunk/greenstone2/runtime-src/configure.in
===================================================================
--- main/trunk/greenstone2/runtime-src/configure.in	(revision 22057)
+++ main/trunk/greenstone2/runtime-src/configure.in	(revision 22058)
@@ -71,4 +71,28 @@
 fi
 AC_SUBST(USE_YAZ)
+
+dnl
+dnl Set use of JDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], USE_JDBM=$enableval, USE_JDBM=yes)
+if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
+  USE_JDBM=1
+  AC_DEFINE(USE_JDBM,[])
+else
+  USE_JDBM=0
+fi
+AC_SUBST(USE_JDBM)
+
+dnl
+dnl Set use of GDBM (enabled by default)
+dnl
+AC_ARG_ENABLE(gdbm, [  --disable-gdbm        Disable GDBM compilation], USE_GDBM=$enableval, USE_GDBM=yes)
+if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
+  USE_GDBM=1
+  AC_DEFINE(USE_GDBM,[])
+else
+  USE_GDBM=0
+fi
+AC_SUBST(USE_GDBM)
 
 dnl 
